umbrello 2.35.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Ui_CodeGenStatusPage Class Reference

`#include <ui_codegenstatuspage.h>`

Inheritance diagram for Ui_CodeGenStatusPage:

## Public Member Functions
void | setupUi (QWidget *CodeGenStatusPage)
void | retranslateUi (QWidget *CodeGenStatusPage)

## Public Attributes
QVBoxLayout * | vboxLayout
QTabWidget * | ui_tabWidget
QWidget * | ui_statusTab
QVBoxLayout * | verticalLayout
QTableWidget * | ui_tableWidgetStatus
QWidget * | ui_loggerTab
QVBoxLayout * | verticalLayout_3
QVBoxLayout * | verticalLayout_2
QTextEdit * | ui_textEditLogger
QGridLayout * | gridLayout_4
QPushButton * | ui_pushButtonClear
QPushButton * | ui_pushButtonExport
QHBoxLayout * | hboxLayout
QPushButton * | ui_pushButtonGenerate

## Member Function Documentation

## ◆ retranslateUi()

void Ui_CodeGenStatusPage::retranslateUi | ( | QWidget * | CodeGenStatusPage | ) |
| inline

## ◆ setupUi()

void Ui_CodeGenStatusPage::setupUi | ( | QWidget * | CodeGenStatusPage | ) |
| inline

## Member Data Documentation

## ◆ gridLayout_4

QGridLayout* Ui_CodeGenStatusPage::gridLayout_4

## ◆ hboxLayout

QHBoxLayout* Ui_CodeGenStatusPage::hboxLayout

## ◆ ui_loggerTab

QWidget* Ui_CodeGenStatusPage::ui_loggerTab

## ◆ ui_pushButtonClear

QPushButton* Ui_CodeGenStatusPage::ui_pushButtonClear

## ◆ ui_pushButtonExport

QPushButton* Ui_CodeGenStatusPage::ui_pushButtonExport

## ◆ ui_pushButtonGenerate

QPushButton* Ui_CodeGenStatusPage::ui_pushButtonGenerate

## ◆ ui_statusTab

QWidget* Ui_CodeGenStatusPage::ui_statusTab

## ◆ ui_tableWidgetStatus

QTableWidget* Ui_CodeGenStatusPage::ui_tableWidgetStatus

## ◆ ui_tabWidget

QTabWidget* Ui_CodeGenStatusPage::ui_tabWidget

## ◆ ui_textEditLogger

QTextEdit* Ui_CodeGenStatusPage::ui_textEditLogger

## ◆ vboxLayout

QVBoxLayout* Ui_CodeGenStatusPage::vboxLayout

## ◆ verticalLayout

QVBoxLayout* Ui_CodeGenStatusPage::verticalLayout

## ◆ verticalLayout_2

QVBoxLayout* Ui_CodeGenStatusPage::verticalLayout_2

## ◆ verticalLayout_3

QVBoxLayout* Ui_CodeGenStatusPage::verticalLayout_3

The documentation for this class was generated from the following file:

- cmake-build/umbrello/ui_codegenstatuspage.h